//
// Directional Diffuse Lighting Shader
//

half4x4 _world : WORLDVIEW;
half4x4 WorldViewProjection : WORLDVIEWPROJECTION;
texture tex : TEXTURE;

void VertScene( half4 Pos : POSITION,
                half3 Normal : NORMAL,
                half2 Tex : TEXCOORD0,
                out half4 oPos : POSITION,
                out half2 oTex : TEXCOORD0,
                out half3 Diffuse : COLOR0 )
{
    oPos = mul( Pos, WorldViewProjection );

    half3 N = normalize( mul( Normal, (half3x3)_world ) );
    Diffuse = dot( (half3)N, half3( 0.0f, 0.0f, -1.0f ) );

    oTex = Tex;
}



technique TDirectional
{
    pass P0
    {
        VertexShader = compile vs_1_1 VertScene();
        PixelShader = NULL;
        Texture[0] = <tex>; // Use the texture parameter defined above (from material)
    }
}

