// Sample effect file

// Here is a vector parameter representing the direction
// vector from a light source.  The UIDirectional annotation
// tells EffectEdit to create a user interface element that can
// be used to interactively change the light direction.
float3 lightDir
<
    string UIDirectional = "Light Direction";
> = {0.577, -0.577, 0.577};

texture tex : TEXTURE;

technique tec0
{
    pass p0
    {
        // Set up reasonable material defaults
        MaterialAmbient = {1.0, 1.0, 1.0, 1.0}; 
        MaterialDiffuse = {1.0, 1.0, 1.0, 1.0}; 
        MaterialSpecular = {1.0, 1.0, 1.0, 1.0}; 
        MaterialPower = 40.0f;
        
        // Set up one directional light
        LightType[0]      = DIRECTIONAL;
        LightDiffuse[0]   = {1.0, 1.0, 1.0, 1.0};
//        LightSpecular[0]  = {1.0, 1.0, 1.0, 1.0}; 
//        LightAmbient[0]   = {0.1, 0.1, 0.1, 1.0};
        LightDirection[0] = <lightDir>; // Use the vector parameter defined above
//        LightRange[0]     = 100000.0;

        // Turn lighting on and use light 0
        LightEnable[0] = True;
        Lighting = True;

        Texture[0] = <tex>; // Use the texture parameter defined above
    }
}
